Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_DynAnyFactory Class Reference

`#include <DynAnyFactory.h>`

Inheritance diagram for TAO_DynAnyFactory:

[legend]
Collaboration diagram for TAO_DynAnyFactory:

[legend]
List of all members.

## Public Methods
| TAO_DynAnyFactory (void)
| Constructor.
virtual DynamicAny::DynAny_ptr | create_dyn_any (const CORBA::Any &value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAnyFactory::InconsistentTypeCode )
virtual DynamicAny::DynAny_ptr | create_dyn_any_from_type_code (CORBA::TypeCode_ptr type ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAnyFactory::InconsistentTypeCode )
## Static Public Methods
CORBA::TCKind | unalias (CORBA::TypeCode_ptr tc ACE_ENV_ARG_DECL)
| Obtain the kind of object, after all aliasing has been removed.
CORBA::TypeCode_ptr | strip_alias (CORBA::TypeCode_ptr tc ACE_ENV_ARG_DECL)
DynamicAny::DynAny_ptr | make_dyn_any (const CORBA::Any &any ACE_ENV_ARG_DECL)
| Create the correct type of DynAny object for <any>.
DynamicAny::DynAny_ptr | make_dyn_any (CORBA::TypeCode_ptr tc ACE_ENV_ARG_DECL)
| Create the correct type of DynAny object for <tc>.
## Private Methods
| TAO_DynAnyFactory (const TAO_DynAnyFactory &src)
TAO_DynAnyFactory & | operator= (const TAO_DynAnyFactory &src)

## Detailed Description

Implements the DynamicAnyFactory interface and provides several utility functions shared by all the Dynamic Any components.

## Constructor & Destructor Documentation

TAO_DynAnyFactory::TAO_DynAnyFactory | ( | void |  | ) |

| Constructor.

TAO_DynAnyFactory::TAO_DynAnyFactory | ( | const TAO_DynAnyFactory & | src | ) | `[private]`

## Member Function Documentation

DynamicAny::DynAny_ptr TAO_DynAnyFactory::create_dyn_any | ( | const CORBA::Any &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAnyFactory::InconsistentTypeCode )`[virtual]`

| Implements DynamicAny::DynAnyFactory.

DynamicAny::DynAny_ptr TAO_DynAnyFactory::create_dyn_any_from_type_code | ( | CORBA::TypeCode_ptr type | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAnyFactory::InconsistentTypeCode )`[virtual]`

| Implements DynamicAny::DynAnyFactory.

DynamicAny::DynAny_ptr TAO_DynAnyFactory::make_dyn_any | ( | CORBA::TypeCode_ptr tc | ACE_ENV_ARG_DECL | ) | `[static]`

| Create the correct type of DynAny object for <tc>.

DynamicAny::DynAny_ptr TAO_DynAnyFactory::make_dyn_any | ( | const CORBA::Any &any | ACE_ENV_ARG_DECL | ) | `[static]`

| Create the correct type of DynAny object for <any>.

TAO_DynAnyFactory& TAO_DynAnyFactory::operator= | ( | const TAO_DynAnyFactory & | src | ) | `[private]`

CORBA::TypeCode_ptr TAO_DynAnyFactory::strip_alias | ( | CORBA::TypeCode_ptr tc | ACE_ENV_ARG_DECL | ) | `[static]`

| Same as above, but returns type code instead of TCKind. Caller must release the return value.

CORBA::TCKind TAO_DynAnyFactory::unalias | ( | CORBA::TypeCode_ptr tc | ACE_ENV_ARG_DECL | ) | `[static]`

| Obtain the kind of object, after all aliasing has been removed.

The documentation for this class was generated from the following files:

- DynAnyFactory.h
- DynAnyFactory.cpp